package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @author: nh
 * @create: 2021-02-07 11:02
 **/
@ApiModel
@Data
public class WorkProjectTimeCost implements Serializable {
    private static final long serialVersionUID = -1233065911955324813L;

    @ApiModelProperty(name = "id", value = "主键")
    private Integer id;

    @ApiModelProperty(name = "projectId", value = "项目主键")
    private Integer projectId;

    @ApiModelProperty(name = "statisticsStart", value = "当月第一次统计的时间")
    private Date statisticsStart;

    @ApiModelProperty(name = "statisticsEnd", value = "当月最后一次统计的时间")
    private Date statisticsEnd;

    @ApiModelProperty(name = "totalTime", value = "当月统计总工时，单位：人/天")
    private Integer totalTime;

    @ApiModelProperty(name = "cost", value = "成本")
    private BigDecimal cost;
}
