package cn.wisenergy.model.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="GetManagerProjectsVo", description="获取管理项目VO")
public class GetManagerProjectsVo {

    @ApiModelProperty(name = "page",value = "当前页")
    private Integer page;

    @ApiModelProperty(name = "pageSize",value = "一页的记录数")
    private Integer pageSize;

    @ApiModelProperty(name = "userId",value = "用户id")
    private Integer userId;

    @ApiModelProperty(name = "type",value = "类型：1：项目 2：商机")
    private Integer type;

    @ApiModelProperty(name = "isConclusion",value = "是否结项：0：结项，1：未结束")
    private Integer isConclusion;

    @ApiModelProperty(name = "deptId",value = "部门id")
    private Integer deptId;

    @ApiModelProperty(name = "key", value = "模糊查询条件：项目/商机名称、项目/商机负责人")
    private String key;
}
