package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description:
 * @author: nh
 * @create: 2021-02-05 11:54
 **/
@Data
@ApiModel(value = "DeptProjectWorkTimeAndCost", description = "部门项目工时及成本")
public class DeptProjectWorkTimeAndCost implements Serializable {

    private static final long serialVersionUID = -4607187953621906522L;

    /**
     * 部门名称
     */
    @ApiModelProperty(name = "deptName", value = "部门名称")
    private String deptName;

    /**
     * 部门主键
     */
    @ApiModelProperty(name = "deptId", value = "部门主键")
    private Integer deptId;

   List<ProjectWorkTimeAndCostStatistics> projectWorkTimeAndCostStatistics;

}
